classification
Title: runtime_library_dirs broken under OS X
Type: Stage:
Components: Distutils Versions: Python 2.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jackjansen Nosy List: jackjansen, zenzen
Priority: high Keywords:

Created on 2003-04-18 04:41 by zenzen, last changed 2003-05-23 22:46 by jackjansen. This issue is now closed.

Files
File name Uploaded Description Edit
@patch jackjansen, 2003-04-18 11:35 unixccompiler.py patch
Messages (7)
msg15493 - (view) Author: Stuart Bishop (zenzen) Date: 2003-04-18 04:41
gcc and ld on OSX don't seem to support the -R option, breaking 
runtime_library_dirs and any distutils installed extensions that require 
it.

I've only checked Python 2.2.2 so far.
msg15494 - (view) Author: Jack Jansen (jackjansen) * (Python committer) Date: 2003-04-18 08:58
Logged In: YES 
user_id=45365

Could you elaborate a bit on what breaks, and/or give an example that breaks?
msg15495 - (view) Author: Stuart Bishop (zenzen) Date: 2003-04-18 11:08
Logged In: YES 
user_id=46639

Looks like this has been fixed in 2.3a2:
       if sys.platform[:6] == "darwin":
            # MacOSX's linker doesn't understand the -R flag at all
            return "-L" + dir
        elif compiler[:3] == "gcc" or compiler[:3] == "g++":
            return "-Wl,-R" + dir
        else:
            return "-R" + dir

I can't find a bug report or patch on this fix, and I don't know if it is in any 
2.2.x branch.
msg15496 - (view) Author: Jack Jansen (jackjansen) * (Python committer) Date: 2003-04-18 11:35
Logged In: YES 
user_id=45365

It looks like backporting the rev. 1.48 fix to Lib/distutils/unixccompiler.py should do the trick. I've attached the patch that should do the trick, if you could try this that would be helpful.
msg15497 - (view) Author: Stuart Bishop (zenzen) Date: 2003-04-24 05:41
Logged In: YES 
user_id=46639

Yup - that looks like all that is needed to be done.
msg15498 - (view) Author: Jack Jansen (jackjansen) * (Python committer) Date: 2003-04-24 13:15
Logged In: YES 
user_id=45365

Ok, I'll fix if there's a 2.2.3 release upcoming. Thanks for the report!
msg15499 - (view) Author: Jack Jansen (jackjansen) * (Python committer) Date: 2003-05-23 22:46
Logged In: YES 
user_id=45365

Fixed in unixccompiler rev 1.38.6.2.
History
Date User Action Args
2003-04-18 04:41:56zenzencreate